Public Interface IConnectionBuilder
    Function WithSessionReconnect() As IConnectionBuilder
    Function WithDriveLetter(driveLetter As String) As IConnectionBuilder
    Function WithWindreamObjects() As IConnectionBuilder
    Function WithWindreamObjects(BasePath As String) As IConnectionBuilder
    Function WithWindreamObjectsOrDriveLetter(BasePath As String, DriveLetter As String) As IConnectionBuilder
    Function With64BitSupport() As IConnectionBuilder
    Function WithServerName(serverName As String) As IConnectionBuilder
    Function WithImpersonation(userName As String, password As String, domain As String) As IConnectionBuilder
    Function Connect() As Windream
End Interface
